package com.unis.reserveLayout.modular.qualityInspectionOrg.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.BusinessQcQualityInspection;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.BusinessQcQualityInspectionItem;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.QualityInspectionWhole;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.QualityInspectionWholeDetail;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.QualityInspectionPageParam;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.QualityInspectionReportPageParam;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-11 17:20
 */
public interface QualityInspectionService extends IService<BusinessQcQualityInspection> {
    void add(BusinessQcQualityInspection param);

    void edit(BusinessQcQualityInspection param);

    BusinessQcQualityInspection detail(Integer id);

    void delete(Integer id);

    Page<BusinessQcQualityInspection> pageList(QualityInspectionPageParam pageParam);

    Page<BusinessQcQualityInspection> reportPageList(QualityInspectionReportPageParam pageParam);
}
